<template>
  <v-card
    width="550"
    height="160"
    class="v-card-container"
  >
    <v-card-text class="v-container-card-text">
      <v-row no-gutters>
        <v-col md="4" align="center">
          <img
            :src="appointment.profileImageUrl"
            width="100"
            height="100"
            class="pa-0 secondary rounded-circle d-inline-block"
            alt="Image photo"
          >
        </v-col>
        <v-col md="8">
          <v-row>
            <v-col md="12">
              <h2>
                {{ appointment.patientName + ' ' + appointment.patientFatherLastname +' ' +appointment.patientMotherLastname }}
              </h2>
            </v-col>
          </v-row>
          <v-row class="v-container-date">
            <v-col md="5">
              <h3>
                Horario de cita:
              </h3>
            </v-col>
            <v-col md="7">
              <v-btn
                rounded
                color="primary"
                @click="goToSession()"
              >
                {{ this.dateIni + ' - ' + this.dateFin}}
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </v-card-text>
  </v-card>
</template>

<script>

export default {
  name: 'AppointmentDetail',
  props: {
    appointment: {},
  },
  data: () => ({
    dateIni: null,
    dateFin: null,
  }),
  mounted() {
    this.dateIni = new Intl.DateTimeFormat('es-ES', { hour: '2-digit', minute: '2-digit' }).format(new Date(this.appointment.appointmentStartTime));
    this.dateFin = new Intl.DateTimeFormat('es-ES', { hour: '2-digit', minute: '2-digit' }).format(new Date(this.appointment.appointmentEndTime));
  },
  methods: {
    goToSession() {
      this.$router.push(`/especialista/sesion/${this.appointment.appointmentId}`);
    },
  },
};
</script>

<style scoped>
.appointment_container{
  background: aquamarine;
}

.v-container-date{
  align-items: center;
}

.v-card-container{
  margin-bottom: 20px;
  margin-top: 20px;
  align-items: center;
  display: flex;
}

.v-container-card-text{
  align-items: center;
}

</style>
